<?php
/**
*
* @package acp
* @version $Id: acp_mini_news.php V1.1.0 2008-2013 Simon : www.webel.fr
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_mini_news
{
	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $template, $cache;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		include_once($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
		include_once($phpbb_root_path . 'includes/functions_display.' . $phpEx);
		
		$user->add_lang('posting');

		// Set up general vars
		$submit = (isset($_POST['submit'])) ? true : false;
		$action = request_var('action', '');
		$mini_news_on = request_var('mini_news_on', '');
		$mini_news_scroll = request_var('mini_news_scroll', '');
		
		$this->tpl_name = 'acp_mini_news';
		$this->page_title = 'ACP_MINI_NEWS';

		$form_name = 'postform';
		add_form_key($form_name);
		
		$allow_bbcode = $allow_urls = $allow_smilies = true;
		$bitfield_news ='';
		// Submit ----------------------------------------------------
		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}
			set_config('mini_news_on', (int) $mini_news_on);
			set_config('mini_news_scroll', (int) $mini_news_scroll);
						
			$mini_news = utf8_normalize_nfc(request_var('message', '', true));
						
			if (!$mini_news)
			{
				$message = $user->lang['NO_NEWS'];
				$l_redirect =  $user->lang['RETURN_PAGE'];
				$redirect = $this->u_action;
				$redirect = meta_refresh(3, $redirect);
				trigger_error($message . '<br /><br />' . sprintf($l_redirect, '<a href="' . $redirect . '">', '</a>'));
			}
			
      // $options_news = 1+2+4 = 7
			generate_text_for_storage($mini_news, $uid_news, $bitfield_news, $options_news, $allow_bbcode, $allow_urls, $allow_smilies);
		
			$sql_ary = array(
				'mini_news'     => (string) $mini_news,
				'mini_news_bbcode_uid'      => (string) $uid_news,
				'mini_news_bbcode_bitfield'	=> (string) $bitfield_news,
				'mini_news_bbcode_options'	=> (int) $options_news,
			);
				
			if ($mini_news)
			{
				$sql = 'UPDATE ' . MINI_NEWS_TABLE . '
          SET '. $db->sql_build_array('UPDATE', $sql_ary);
				  $message = $user->lang['NEWS_ADDED'];
          // Del cache
          $cache->destroy('_mini_news');
			}
			$db->sql_query($sql);
			
			$l_redirect =  $user->lang['RETURN_PAGE'];
			$redirect = $this->u_action;
			$redirect = meta_refresh(2, $redirect);
			trigger_error($message . '<br /><br />' . sprintf($l_redirect, '<a href="' . $redirect . '">', '</a>'));
		}

		// Default ---------------------------------------------------
		// Link smiley and popup if there is smiley off page ---------
		$display_link = false;
		$sql = 'SELECT smiley_id
			FROM ' . SMILIES_TABLE . '
			WHERE display_on_posting = 0';
		$result = $db->sql_query_limit($sql, 1, 0, 3600);

		if ($row = $db->sql_fetchrow($result))
		{
			$display_link = true;
		}
		$db->sql_freeresult($result);

		$sql = 'SELECT * FROM ' . MINI_NEWS_TABLE;
		$result = $db->sql_query($sql);
		$row = $db->sql_fetchrow($result);
		/* preview */
    $preview = generate_text_for_display($row['mini_news'], $row['mini_news_bbcode_uid'], $row['mini_news_bbcode_bitfield'], $row['mini_news_bbcode_options']);
		
		generate_smilies('inline', '' ,1);
		display_custom_bbcodes();
    
    decode_message($row['mini_news'], $row['mini_news_bbcode_uid']); 

		$template->assign_vars(array(
			'U_ACTION'         => $this->u_action,
			
			'MINI_NEWS_ON'		=> $config['mini_news_on'],
			'MINI_NEWS_SCROLL'	=> $config['mini_news_scroll'],
      'MINI_NEWS_VERSION' => $config['mini_news_version'],
			'MINI_NEWS'				=> $row['mini_news'],
				
			'S_SHOW_SMILEY_LINK' 	=> $display_link,
			'U_MORE_SMILIES'		=> append_sid("{$phpbb_root_path}posting.$phpEx", 'mode=smilies'),

			'S_BBCODE_CHECKED'	=> $allow_bbcode,
			'S_SMILIES_CHECKED'	=> $allow_smilies,
			'S_URLS_CHECKED'	=> $allow_urls,
	
			'PREVIEW'	=> $preview,
		));
		$db->sql_freeresult($result);
	}
}
?>