<?php
/**
*
* @package mini_news.php
* @version $Id: V1.1.0 2008-2013 Simon
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

global $db, $user, $template, $cache;
global $config, $phpbb_root_path, $phpEx;

include_once($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
include_once($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// Add lang
$user->setup('mods/info_acp_mini_news');
	
$allow_bbcode=$allow_urls=$allow_smilies=true;
$bitfield_news='';
if (!class_exists('bbcode'))
{
	include($phpbb_root_path . 'includes/bbcode.' . $phpEx);
}

if (($mini_news = $cache->get('_mini_news')) === false)
{
  $sql = 'SELECT *
		FROM ' .  MINI_NEWS_TABLE;
			
  $result = $db->sql_query($sql);
  $row = $db->sql_fetchrow($result);

  $mini_news[0] = array(
		'mini_news'		                => $row['mini_news'],
		'mini_news_bbcode_bitfield'		=> $row['mini_news_bbcode_bitfield'],
		'mini_news_bbcode_uid'		    => $row['mini_news_bbcode_uid'],
    'mini_news_bbcode_options'    => $row['mini_news_bbcode_options']
  );
  $db->sql_freeresult($result);
  // cache this data for 1 year.
  $cache->put('_mini_news', $mini_news, 31536000);
}

$message = generate_text_for_display($mini_news[0]['mini_news'], $mini_news[0]['mini_news_bbcode_uid'], $mini_news[0]['mini_news_bbcode_bitfield'], $mini_news[0]['mini_news_bbcode_options']);
$message = bbcode_nl2br($message);
$message = smiley_text($message);
		
$template->assign_vars(array(
	'S_MINI_NEWS'	=> $config['mini_news_on'],
	'S_SCROLL'		=> $config['mini_news_scroll'],
	
	'MINI_NEWS'		=> $message,
	)
);
?>