<?php
/**
*
* @author Simon : www.webel.fr
* @package umil
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'ACP_MINI_NEWS';

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/
$version_config_name = 'mini_news_version';

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'
*/
$language_file = 'mods/info_acp_mini_news';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	// Version 1.1.0
	'1.1.0'	=> array(
		'config_add' => array(
			array('mini_news_on', '1'),
			array('mini_news_scroll', '0'),
		),
		
		//table_add($table_name, $table_data = array())
		'table_add' => array(
			array(MINI_NEWS_TABLE, array(
					'COLUMNS'		=> array(
						'mini_news'	                	=> array('TEXT',''),
						'mini_news_bbcode_uid'		    => array('VCHAR:8', ''),	
						'mini_news_bbcode_bitfield'		=> array('VCHAR:255', ''),	
						'mini_news_bbcode_options'		=> array('INT:11', '7'),			
					),
				),
			),
		),
		
		//table_row_insert($table_name, $data = array())
		'table_row_insert' => array(
			array(MINI_NEWS_TABLE, array(
         	'mini_news'	                	=>  '<!-- s:) --><img src="{SMILIES_PATH}/icon_e_smile.gif" alt=":)" title="Sourire" /><!-- s:) --> Mini news by Simon <!-- s:) --><img src="{SMILIES_PATH}/icon_e_smile.gif" alt=":)" title="Sourire" /><!-- s:) -->',
					'mini_news_bbcode_uid'		    =>  '',
					'mini_news_bbcode_bitfield'		=>  '',
					'mini_news_bbcode_options'		=>  '7',
					),
        ),
      ),
      
    'module_add' => array(
          array('acp', 'ACP_CAT_DOT_MODS', 'ACP_MINI_NEWS'),

          array('acp', 'ACP_MINI_NEWS', array(
				
              'module_basename'	=> 'mini_news',
              'module_langname'	=> 'ACP_MINI_NEWS_MENU1',
              'module_mode' 		=> 'mini_news',
              'module_auth'		=> 'acl_a_board',
            ),
          ),
      ),
	),
  
   '1.0.0' => array(
  	// No install file
 ),

);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>